For the complete documentation index, see llms.txt. This page is also available as Markdown.

Service

API Service Calls

The service calls are used to read, add, remove and manipulate MobiusFlow services.

Get service configuration

get
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
get
/api/v1/mobius/service/config/{hid}/{sid}

Start service

post
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
post
/api/v1/mobius/service/start/{hid}/{sid}

Stop service

post
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
post
/api/v1/mobius/service/stop/{hid}/{sid}

Reload service

post
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001/020
post
/api/v1/mobius/service/reload/{hid}/{sid}

Add service

post
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
Body

New service information

sidstringOptional

Service ID

Pattern: ^[0-9A-F]{3}$
spidstringRequired

Service profile ID

Pattern: ^[0-9A-F]{4}$
namestringRequired

Service name

enabledbooleanRequired

Service enabled flag

runAtStartbooleanRequired

Service run at start flag

Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
post
/api/v1/mobius/service/{hid}

Clone service

post
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Body

Clone service information

copiesnumberRequired

Number of copies

startstringRequired

Starting service ID for 1st copy, subsequent copies will be incremented

Pattern: ^[0-9A-F]{3}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
post
/api/v1/mobius/service/clone/{hid}/{sid}

Update service ID of a service

patch
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Body

New service ID information

newSIDstringRequired

New service ID

Pattern: ^[0-9A-F]{3}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
patch
/api/v1/mobius/service/config/sid/{hid}/{sid}

Update service configuration

patch
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Body

New service configuration

namestringOptional

Service name

enabledbooleanOptional

Service enabled flag

runAtStartbooleanOptional

Service run at start flag

Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
patch
/api/v1/mobius/service/config/{hid}/{sid}

Replace all objects within a service

put
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Bodyobject[]

Array of configured objects on service

pidstringOptional

Object PID

Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
put
/api/v1/mobius/service/config/replaceAllObjects/{hid}/{sid}

Delete service

delete
Path parameters
hidstringRequired

MobiusFlow Hub ID

Example: {"value":"000001"}Pattern: ^[0-9A-Fa-f]{6}$
sidstringRequired

MobiusFlow Service ID

Example: {"value":"020"}Pattern: ^[0-9A-Fa-f]{3}$
Responses
200

Ok response

application/json

Ok response

tsstringRequired

Timestamp of the response

Example: 2022-12-21T10:25:54.585Z
uristringRequired

URI of the response

Example: 000001
delete
/api/v1/mobius/service/{hid}/{sid}

Last updated

Was this helpful?